Package de.willuhn.jameica.hbci.io.csv

# Class ImportListener

java.lang.Object
de.willuhn.jameica.hbci.io.csv.ImportListener

public class ImportListener extends Object
Listener, den ein Format mitbringen kann, um Einfluss auf den Import-Vorgang nehmen zu koennen.

## Constructor Summary

Constructors
Constructor
Description
`ImportListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`beforeSet(ImportEvent event)`
Wird aufgerufen, nachdem alle Werte der Zeile deserialisiert, aber noch nicht zur Bean hinzugefuegt wurden.
`void`
`beforeStore(ImportEvent event)`
Wird aufgerufen, unmittelbar bevor das Objekt in der Datenbank gespeichert wird.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ImportListener

public ImportListener()

## Method Details

### beforeStore

public void beforeStore(ImportEvent event) throws de.willuhn.jameica.system.OperationCanceledException
Wird aufgerufen, unmittelbar bevor das Objekt in der Datenbank gespeichert wird.

Parameters:
  `event` - das Import-Event. Das Property "data" ist die zu speichernde Bean.
Throws:
  `de.willuhn.jameica.system.OperationCanceledException` - wenn das Speichern des Objektes uebersprungen werden soll.

### beforeSet

public void beforeSet(ImportEvent event) throws de.willuhn.jameica.system.OperationCanceledException
Wird aufgerufen, nachdem alle Werte der Zeile deserialisiert, aber noch nicht zur Bean hinzugefuegt wurden. Die Format-Implementierung kann hier - nachdem alle Properties gelesen wurden, nochmal ein Postprocessing durchfuehren, bevor die Werte gespeichert werden. Das wird z.Bsp. gebraucht, wenn ein Property in der Bean aus mehreren CSV-Spalten zusammengesetzt ist.

Parameters:
  `event` - das Import-Event. Das Property "data" ist eine `Map<String,Object>` mit den Property-Namen als Keys und den deserialisierten Property-Werten als Values.
Throws:
  `de.willuhn.jameica.system.OperationCanceledException` - wenn das Objekt uebersprungen werden soll.